Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Contributor
Posts: 14
Registered: ‎12-09-2011
My Device: BlackBerry Bold 9000 ( v4.6.0.303, Platform 4.0.0.248)
My Carrier: Vodafone - IT
Accepted Solution

Module not found

Hi,

for my thesis I'm developing an application on a BB Bold 9000 (v4.6.0.303)  that uses the cryptographic module ( net.rim.device.api.crypto ). The problem is: when I run the app on the simulator (BB 9930, v7.0.0.440), everything works correctly, but when I start the project on my device ( I have all the necessary signatures ) i get the "Module 'net_rim_crypto' not found" error, although I don't import that module. I saw that 'net.rim.device.api.crypto' works since the API version 3.6.0, so I cannot figure how to fix this problem.

Can someone give me some advice, please?

Highlighted
Developer
Posts: 16,992
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: Module not found

welcome to the support forums.

did you set the API level (JRE) to 4.6?
the JRE has to be smaller or equal to the OS of the target device.
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Contributor
Posts: 14
Registered: ‎12-09-2011
My Device: BlackBerry Bold 9000 ( v4.6.0.303, Platform 4.0.0.248)
My Carrier: Vodafone - IT

Re: Module not found

No, I checked the properties for the project, and I saw that I've only the BB JRE 7 installed. So, I need to download BlackBerry JRE 4.6? ( I'm using BlackBerry Plug-in for Eclipse for developing ). I'm giving a look on the BB developers site, and I will update the post ASAP... Thanks for the reply, BTW...

Developer
Posts: 16,992
Registered: ‎07-29-2008
My Device: Z10 LE, Z30, Passport
My Carrier: O2 Germany

Re: Module not found

yes, indeed.
You can download it using the update site
----------------------------------------------------------
feel free to press the like button on the right side to thank the user that helped you.
please mark posts as solved if you found a solution.
@SimonHain on twitter
Contributor
Posts: 14
Registered: ‎12-09-2011
My Device: BlackBerry Bold 9000 ( v4.6.0.303, Platform 4.0.0.248)
My Carrier: Vodafone - IT

Re: Module not found

I've installed JRE 4.6, and now everything works perfectly. Thanks for your time and help.

New Contributor
Posts: 8
Registered: ‎03-05-2013
My Device: curve 9300 os 6
My Carrier: mtn zambia

Re: Module not found

Error !
I downloaded mp3tag from app world and this is the error I'm receiving each time I try opening it .
" Error starting tag editor:
Module
Net-rim -bb-qm-
Platform not found"
New Contributor
Posts: 8
Registered: ‎03-05-2013
My Device: curve 9300 os 6
My Carrier: mtn zambia

Re: Module not found

Similar problem here , please help !
I downloaded mp3tag from app world and this is the error I'm receiving each time I try opening it .
" Error starting tag editor:
Module
Net-rim -bb-qm-
Platform not found"
Developer
Posts: 19,636
Registered: ‎07-14-2008
My Device: Not Specified

Re: Module not found

[ Edited ]

You have not got BBM installed and the application will not run without it. 

 

RIM publishes approaches to make sure this does not effect end users, but it seems this additional work has not been integrated into this application. 

New Contributor
Posts: 8
Registered: ‎03-05-2013
My Device: curve 9300 os 6
My Carrier: mtn zambia

Re: Module not found

Yes ! Let me try install it .
New Contributor
Posts: 8
Registered: ‎03-05-2013
My Device: curve 9300 os 6
My Carrier: mtn zambia

Re: Module not found

Wow ! it's working , thanks a lot !